﻿using System;
using OxyPlot;
using OxyPlot.Axes;
using OxyPlot.Series;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        PlotModel _pm = new PlotModel();

        public Form1()
        {
            InitializeComponent();
        }

        void InitializePlotView(PlotModel pm)
        {
            var axesX = new LinearAxis();
            axesX.Position = AxisPosition.Bottom;
            axesX.AxislineStyle = LineStyle.Solid;
            axesX.PositionAtZeroCrossing = true;

            axesX.Maximum = 50;
            axesX.Minimum = -10;

            axesX.MajorGridlineStyle = LineStyle.Dash;
            axesX.MinorGridlineStyle = LineStyle.Dot;

            var axesY = new LinearAxis();
            axesY.Position = AxisPosition.Left;
            axesY.AxislineStyle = LineStyle.Solid;
            axesY.PositionAtZeroCrossing = true;

            axesY.Maximum = 50;
            axesY.Minimum = -10;

            axesY.MajorGridlineStyle = LineStyle.Dash;
            axesY.MinorGridlineStyle = LineStyle.Dot;

            pm.Axes.Add(axesX);
            pm.Axes.Add(axesY);

            plotView.Model = pm;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitializePlotView(_pm);

            ScatterSeries series = new ScatterSeries();

            series.Points.Add(new ScatterPoint(10, 20));
            series.Points.Add(new ScatterPoint(20, 30));
            series.Points.Add(new ScatterPoint(30, 40));
            series.MarkerType = MarkerType.Circle;

            _pm.Series.Add(series);
        }
    }
}
